#' Example Dataset for DIFtree
#'
#' A dataset used for demonstrating the IFTPredictor package. This dataset includes response data (columns 1-20)
#' and covariate data (columns 21-24)
#'
#' @format A data frame with 500 rows and 24 variables:
#' \describe{
#'   \item{V1}{Binary response variable (numeric: 0 or 1) representing item 1.}
#'   \item{V2}{Binary response variable (numeric: 0 or 1) representing item 2.}
#'   \item{V3}{Binary response variable (numeric: 0 or 1) representing item 3.}
#'   \item{V4}{Binary response variable (numeric: 0 or 1) representing item 4.}
#'   \item{V5}{Binary response variable (numeric: 0 or 1) representing item 5.}
#'   \item{V6}{Binary response variable (numeric: 0 or 1) representing item 6.}
#'   \item{V7}{Binary response variable (numeric: 0 or 1) representing item 7.}
#'   \item{V8}{Binary response variable (numeric: 0 or 1) representing item 8.}
#'   \item{V9}{Binary response variable (numeric: 0 or 1) representing item 9.}
#'   \item{V10}{Binary response variable (numeric: 0 or 1) representing item 10.}
#'   \item{V11}{Binary response variable (numeric: 0 or 1) representing item 11.}
#'   \item{V12}{Binary response variable (numeric: 0 or 1) representing item 12.}
#'   \item{V13}{Binary response variable (numeric: 0 or 1) representing item 13.}
#'   \item{V14}{Binary response variable (numeric: 0 or 1) representing item 14.}
#'   \item{V15}{Binary response variable (numeric: 0 or 1) representing item 15.}
#'   \item{V16}{Binary response variable (numeric: 0 or 1) representing item 16.}
#'   \item{V17}{Binary response variable (numeric: 0 or 1) representing item 17.}
#'   \item{V18}{Binary response variable (numeric: 0 or 1) representing item 18.}
#'   \item{V19}{Binary response variable (numeric: 0 or 1) representing item 19.}
#'   \item{V20}{Binary response variable (numeric: 0 or 1) representing item 20.}
#'   \item{x1}{An integer variable (e.g., a grouping factor or categorical covariate).}
#'   \item{x2}{A continuous numeric covariate.}
#'   \item{x3}{An integer variable (binary: 0 or 1).}
#'   \item{x4}{A continuous numeric covariate.}
#' }
#' @examples
#' data("mydata", package = "IFTPredictor")
#' head(mydata)
#' @export
"mydata"
